<p>
  All my users!!!!
</p>
<div id="myTable" #myTable>
  <table style="border: 5px solid black;">
    <tr style="background-color: gray; font-weight: bold;">
      <th style="border: 2px solid black;">Id</th>
      <th style="border: 2px solid black;">First name</th>
      <th style="border: 2px solid black;">Last Name</th>
      <th style="border: 2px solid black;">Email</th>
      <th style="border: 2px solid black;">Role</th>
      <th style="border: 2px solid black;">Edit</th>
    </tr>
    <tr *ngFor="let user of users; let i = index;">
        <td style="border: 2px solid black;">{{user.id}}</td>
        <td style="border: 2px solid black;">{{user.first_name}}</td>
        <td style="border: 2px solid black;">{{user.last_name}}</td>
        <td style="border: 2px solid black;">{{user.email}}</td>
        <td style="border: 2px solid black;">{{user.role}}</td>
        <td style="border: 2px solid black;"><button (click)="editUser(user,i)" class="btn btn-primary" *ngIf="this.authService.userLog.role === 'Administrator'">Edit</button></td>
    </tr>
  </table>
</div>
<div id="editForm" #editForm class="row col-xs-8" style="position:relative; top: -275px; left: 30px; display: none; border: 2px solid black;">
  <div class="col-xs-8">
    <button class="btn btn-danger" (click)="closeTemplate()" style="position: relative; left: 355px;">X</button>
    <form (submit)="onUpdate()" [formGroup]="myForm" style="position: relative; top: -20px;">
      <div class="row">
        <div class="col-xs-12">
          <div class="form-group" >
            <label for="first_name">First Name </label>
            <input type="text" id="first_name"  name="first_name" class="form-control" formControlName="first_name" required>
            <div *ngIf="this.myForm.value['first_name'] === ''" class="alert alert-danger">First Name is required</div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-xs-12">
          <div class="form-group">
            <label for="last_name">Last Name </label>
            <input type="text" id="last_name"  name="last_name" class="form-control" formControlName="last_name" required>
            <div *ngIf="this.myForm.value['last_name'] === ''" class="alert alert-danger">Last Name is required</div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-xs-12">
          <div class="form-group">
            <label for="email">Email</label>
            <input type="email" id="email" name="email" class="form-control" formControlName="email" required email="true">
            <div *ngIf="this.myForm.value['email'] === ''" class="alert alert-danger">An Email is required</div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-xs-12">
          <button type="submit" class="btn btn-primary" [disabled]="!myForm.valid">Update</button>
        </div>
      </div>
    </form>
  </div>
</div>

